Schedules

Get Org Schedule (POST)

Gets an organization schedule.

POST
/org-schedules.get

Gets an organization schedule.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Request Body

application/json

id*string

Organization schedule ID.

Formatid
version_number?integer

Specific version of the organization schedule to retrieve. If not provided, returns the latest version.

Formatint64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.devrev.ai/org-schedules.get" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{
  "org_schedule": {
    "created_by": {
      "type": "dev_user",
      "display_id": "string",
      "id": "string",
      "display_name": "string",
      "display_picture": {
        "display_id": "string",
        "id": "string",
        "file": {
          "type": "string",
          "name": "string",
          "size": 0
        }
      },
      "email": "string",
      "full_name": "string",
      "state": "active"
    },
    "created_date": "2023-01-01T12:00:00.000Z",
    "display_id": "string",
    "id": "string",
    "modified_by": {
      "type": "dev_user",
      "display_id": "string",
      "id": "string",
      "display_name": "string",
      "display_picture": {
        "display_id": "string",
        "id": "string",
        "file": {
          "type": "string",
          "name": "string",
          "size": 0
        }
      },
      "email": "string",
      "full_name": "string",
      "state": "active"
    },
    "modified_date": "2023-01-01T12:00:00.000Z",
    "object_version": 0,
    "default_weekly_org_schedule": {
      "intervals": [
        {
          "from": 0,
          "to": 0
        }
      ],
      "period_name": "string"
    },
    "min_valid_days": 0,
    "name": "string",
    "org_schedule_fragments": [
      {
        "from": "2023-01-01T12:00:00.000Z",
        "id": "string",
        "to": "2023-01-01T12:00:00.000Z"
      }
    ],
    "status": "archived",
    "timezone": "string",
    "valid_until": "2023-01-01T12:00:00.000Z",
    "version_number": 0,
    "weekly_org_schedules": [
      {
        "intervals": [
          {
            "from": 0,
            "to": 0
          }
        ],
        "period_name": "string"
      }
    ]
  }
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden"
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}